#add_executable(${TG_ZASSIMP}
#        example.cpp
#        include/zassimp/zassimp_lib_macro.h
#        src/importer.cpp
#        include/zassimp/importer.h
#)

#推荐使用静态库
add_library(${TG_ZASSIMP} STATIC
        include/zassimp/zassimp_lib_macro.h
        src/importer.cpp
        include/zassimp/importer.h
)


#动态库使用以下配置
#add_library(${TG_ZASSIMP} SHARED
#
#)

#target_compile_definitions(${TG_ZASSIMP} PRIVATE
#        ZASSIMP_SHARED_LIB
#        ZASSIMP_DLL_OUTPUT
#)

set(ASSIMP_LIB_DIR "${CMAKE_SOURCE_DIR}/3rd/assimp")

target_link_libraries(${TG_ZASSIMP}
        PRIVATE
        ${TG_TOOL}
        ${TG_CORE}
#        ${ASSIMP_LIB_DIR}/$<IF:$<CONFIG:Debug>,Debug,Release>/lib/assimp-vc143-mt$<$<CONFIG:Debug>:d>.lib
        PUBLIC
        ${TG_IMPORTED}
)

target_include_directories(${TG_ZASSIMP}
        PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/include
        PRIVATE
        ${CMAKE_SOURCE_DIR}/3rd/assimp/include
)

#COPY_DEPS_TO_EXE_DIR(${TG_ZASSIMP})